#ifndef _PERLDOC_H_
#define _PERLDOC_H_

#include <tqobject.h>
#include <tdeio/slavebase.h>


class PerldocProtocol : public TDEIO::SlaveBase
{
public:
    PerldocProtocol(const TQCString &pool, const TQCString &app);
    virtual ~PerldocProtocol();

    virtual void get(const KURL& url);
    virtual void stat(const KURL& url);
    virtual void mimetype(const KURL& url);
    virtual void listDir(const KURL& url);

protected:
    void decodeURL(const KURL &url);
    void decodePath(TQString path);
    TQCString errorMessage();
};

#endif
